summaryrefslogtreecommitdiffstats
path: root/abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:09 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:22 (GMT)
commite2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37 (patch)
treebee3fe89f2988dd244e11791755e129aa8c03b14 /abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc
parent8132c218cfc1f1acb1c6d12154e0d4ca075e77f2 (diff)
downloadlinhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.zip
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.gz
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.bz2
Mass move of uncompiled packages to abs_not_built.
The will sit here for a bit, and then will be removed completely if no one claims them.
Diffstat (limited to 'abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc')
-rw-r--r--abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc47
1 files changed, 47 insertions, 0 deletions
diff --git a/abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc b/abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc
new file mode 100644
index 0000000..d33db16
--- /dev/null
+++ b/abs/not_built/extra/community/squeezeboxserver/squeezeboxserver.rc
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/squeezeboxserver ] && . /etc/conf.d/squeezeboxserver
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+squeezehome=/home/squeezeboxserver
+pidfile=/var/run/squeezeboxserver.pid
+logfile=/var/log/squeezeboxserver.log
+prefsdir=/home/squeezeboxserver/prefs
+cachedir=/var/cache/squeezeboxserver
+
+
+case "$1" in
+ start)
+ stat_busy "Starting SqueezeBoxServer"
+ cd $squeezehome
+ ./slimserver.pl --daemon --user squeezeboxserver --prefsdir $prefsdir \
+ --cachedir $cachedir --pidfile $pidfile --logfile $logfile $SQUEEZEBOXSERVER_OPTS
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon squeezeboxserver
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping SqueezeBoxServer"
+ kill `cat $pidfile` &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon squeezeboxserver
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac